Subject: Cutoff date

From: [email-masked] (Mi Mi)
Date: Tue, 22 Feb 94 09:03:58 CST

Sorry for the previous empty messages. The cutoff date, to my understanding, 
means that you can file I-485, if your principal's priority date is included.
It neither means you will get your PR nor interview NOW. It just kicks off
your filing process. Remeber many of our lads had filed last August and 
September when the cutoff date was "current", but how many have gotten their
interviews and/or their GC?

I even do not think those who filed last year will all get their GC this year.
Just think about how many quotas are out there for China's EB-3? So, please 
be patient, do not jump at the cutoff date too soon!

Mi Mi Sr.